Cannot Play with FreeOrion libpython error

A place where Linux Gamers can share their experience and help each other with Linux Games, native or emulated ;)

Moderator: Moderators

Cannot Play with FreeOrion libpython error

Postby Revolver » Sun Mar 30, 2008 21:55

hi guys! i'm trying to start fo on my Saby 3.5 loop 2 and when i create a new single player mission i have this error:

Code: Select all
/home/revolver/freeorion/freeorionca: error while loading shared libraries: libpython2.4.so.1.0: cannot open shared object file: No such file or directory


someone has solve it?
Revolver
Growing Hen
 
Posts: 104
Joined: Fri May 04, 2007 17:39

Re: Cannot Play with FreeOrion libpython error

Postby xlnagla » Sun Mar 30, 2008 22:09

ah, your problem is that FreeOrion's compiled against python 2.4 and your installed python version is 2.5 on loop2. Python-updater may be able to fix this, but otherwise you'll have to re-compile freeorion or downgrade python.

~xlnagla
xlnagla
Sagely Hen
 
Posts: 1078
Joined: Mon May 28, 2007 2:44

Re: Cannot Play with FreeOrion libpython error

Postby WarraWarra » Mon Mar 31, 2008 15:38

PS> 3.5 loop2 = beta so anything can likely go wrong.
Might rather want to use say 3.4 mini or 3.4F or even PE1.1 + updates / fixes then compile FreeOrion.

See Wolfdens upgrade guide or
# emerge -e world
or portato can do it as well.

# revdep-rebuild -X
gentoolkit pulls this in I think.

PE1.1 = x86 = stable portage tree.

others = ~x86 unstable / testing portage tree and so can add below as well.
# emerge udept
# dep --help

3.5 loop* is all little green men walking on Planet Venus and driving Buicks or something = far out = cutting edge + possibly lots of unstable / bugs not yet found for what you need.

The users of FreeOrion would likely only get close to 3.4F in 8 months , so 3.5 loop* is 16 months to 32 months ahead of anything out there now that other linux users might dream off updating too in the future.
You can rather create and then port it to a later version of ?? once ready / stable and so stay with the crowd in linux + have least incompatibility.

Hope this helps.
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: Cannot Play with FreeOrion libpython error

Postby Revolver » Mon Mar 31, 2008 17:26

i found a solution...

http://www.freeorion.org/forum/viewtopic.php?f=24&t=2134&p=30914&hilit=libpython2.4.so.1.0#p30914

just download freeorionca with libpython compiled (154 mb of binary file !!! ) and overwrite old freeorionca and it works...

i hope that is useful....
Revolver
Growing Hen
 
Posts: 104
Joined: Fri May 04, 2007 17:39


Return to The Gamers Shed

Who is online

Users browsing this forum: No registered users and 1 guest

cron